
-- TP2 :   Partie 2 : vrification de contraintes


-- Vrification que les marques rfrences dans les dpots existent bien

SELECT D.IdMarque
FROM Depots D
WHERE NOT EXISTS (SELECT M.Id
		  FROM Marque M
		  WHERE M.Id = D.IdMarque);

-- Vrification que les groupes rfrencs dans les dpots existent bien


SELECT D.IdGroupe
FROM Depots D
WHERE NOT EXISTS (SELECT G.IdGroupe
		  FROM Groupes G
		  WHERE G.IdGroupe = D.IdGroupe);



-- Vrification que les dpots rfrencs dans les enregistrements existent bien


SELECT E. NumLegal,E.Pays
FROM Enregistrements E
WHERE NOT EXISTS (SELECT *
		  FROM Depots D
		  WHERE E. NumLegal = D. NumLegal AND E.Pays = D.Pays);


-- Vrification que La numrotation des dpots est chronologique pour chaque pays

SELECT  D1.NumLegal, D1.Pays, D2.NumLegal, D2.Pays
FROM   Depots D1, Depots D2
WHERE  D1.Pays = D2.Pays
  AND  D2.DateDepot > D1.DateDepot
  AND  D2.NumLegal < D1.NumLegal;


-- Vrification que La numrotation des enregistrements est globale pour chaque pays (vrifie par construction)

SELECT  E1.NumLegal, E1.Pays, E2.NumLegal, E2.Pays
FROM   Enregistrements E1, Enregistrements E2
WHERE  E1.Pays = E2.Pays
  AND  E1.NumLegal = E2.NumLegal
  AND  E1.NumDepot != E2.NumDepot;



